Page 1 of 20

Version 1.5.9 - Plugins Interface

Posted: Thu Jan 03, 2013 11:23 pm
by Eric
This version implements a web interface for installing gargoyle plugins (for now mostly different UI themes) via the web interface. This makes it much easier to extend the core Gargoyle functionality.

New in 1.5.9:
  • New Plugin Interface (System/Plugins)
  • Bump OpenWrt version to Attitude Adjustment RC-1
  • Multiple minor fixes for usb-storage implementation
  • Fixes bug that can (sometimes) cause bandwidth monitor to reset if network restarts
  • Fixes bug in bandwidth monitor display that can cause a single month to show up multiple times after a time-zone change
  • Fixes bug in OpenVpn client mode when configured to use TCP

Re: Version 1.5.9 - Plugins Interface

Posted: Fri Jan 04, 2013 12:08 am
by putergod
Can this one be upgraded from 1.4.7 without losing settings?
I've got a lot configured and it would be a real PITA to have to redo all of it.

Re: Version 1.5.9 - Plugins Interface

Posted: Fri Jan 04, 2013 1:14 am
by Eric
putergod: No, 1.4.7 backups will not be compatible with 1.5.9 or any other future releases. Sorry.

Re: Version 1.5.9 - Plugins Interface

Posted: Fri Jan 04, 2013 1:21 am
by mates
nice I will try later today

now i have version 1.5.7. should I update this firmware with my actual settings or should I reset it before updating?

I would like to say thank you for great work

Re: Version 1.5.9 - Plugins Interface

Posted: Fri Jan 04, 2013 1:47 am
by putergod
Eric wrote:putergod: No, 1.4.7 backups will not be compatible with 1.5.9 or any other future releases. Sorry.

That sucks, but I understand it... Thanks anyway.
I'll try this one out as soon as I have time to record everything for reconfiguring.

And thanks for all the hard work! I've enjoyed Gargoyle much more than the stock Netgear stuff.

Re: Version 1.5.9 - Plugins Interface

Posted: Fri Jan 04, 2013 2:11 am
by sco77
Update went smooth on g300nh.

Is there any wifi related fixes included in the build bump?

Re: Version 1.5.9 - Plugins Interface

Posted: Fri Jan 04, 2013 4:41 am
by joelteixeira
ATM I'm using extrooted Gargoyle 1.5.8 on a TL-WDR4300 router, is there any way to update without go through the whole process of remove core usb packages... install block-mount, enable fstab and so on?

Re: Version 1.5.9 - Plugins Interface

Posted: Fri Jan 04, 2013 4:56 am
by Shahar75
First of all, i'm a new user.
I've changed from the stock firmware, thru dd-wrt, openwrt and finally came here.
This firmware is great !
I enjoy learning all the features.
I've upgraded successfully my WR1043ND with all configuration preserved from previous 1.5.8.
Still, i can't connect to the gui from IE10 so i use chrome. Though it'll be nice to connect with IE10.
I'm not seeing the system/plug-ins option in my gui. Am i missing something?
Can anyone instruct me where and how can i install plug-ins?
Can anyone tell me how many simultanious connections are possible using the FTP access to the storage?

Great work and thanks a lot !

Re: Version 1.5.9 - Plugins Interface

Posted: Fri Jan 04, 2013 5:06 am
by joelteixeira
I forgot to ask before, is there any plans to include transmission/minidlna on next releases? They are the only reason I'm using extroot.

Thanks for all the hard work Eric.

Re: Version 1.5.9 - Plugins Interface

Posted: Fri Jan 04, 2013 6:00 am
by Trailblazer
Love the Plugin module. Attempt toPreserve settings on WNDR3700 did not work upgrading from 1.58. Had to reflash without that checked. Then it worked fine.
Thanks Eric!